name: XL2596
variations: TO263-5L, TO220-5L # suffix: S, T
description: step-down voltage regulator
keywords: IC, regulator, buck
datasheet: http://www.xlsemi.com/datasheet/XL2596%20datasheet-English.pdf

pinout:
  VIN: 1
  SW: 2
  GND: 3
  FB: 4
  EN: 5
  GND_TAB: 6

properties:
  power: VIN
  output: SW
  input: FB, EN
  ground: GND, GND_TAB

schematic:
  symbol: IC
  left: VIN, EN
  right: SW
  top: FB
  bottom: GND, GND_TAB

housing@TO263-5L:
  outline: JEDEC TO-263 BA
  suffix: S

housing@TO220-5L:
  pattern: custom
  suffix: T
  bodyWidth: 9.78-10.54 # E
  bodyLength: 4.06-4.83 # A
  height: 14.22-15.49 # D
  pitch: 1.71 # e (1.57+1.85)/2
  leadHeight: 14.22-15.49 # D
  leadWidth: 0.76-1.02 # b
  leadLength: 0.36-0.64 # C
  holeDiameter: 1.2
  columnCount: 5
  rowCount: 1
  rowDY: 1.21 # (4.83+4.06)/2 - (2.29+3.18)/2 - (0.36+0.64)/2
